| Home | Libraries | People | FAQ | More

## Function template keep

boost::xpressive::keep — Create an independent sub-expression.

## Synopsis

    template<typename Expr> unspecified keep(Expr const & expr);

## Description

Turn off back-tracking for a sub-expression. Any branches or repeats within the sub-expression will match only one way, and no other alternatives are tried.

Parameters: |
`expr` | The sub-expression to modify.
Notes: | keep(expr) is equivalent to the perl (?>...) extension.